Page MenuHomePhabricator

Support ObjC in IncludeInserter
ClosedPublic

Authored by compositeprimes on Oct 12 2020, 2:58 PM.

Details

Summary

Update IncludeSorter/IncludeInserter to support objective-c google style (part 1):

  1. Correctly consider .mm/.m extensions
  2. Correctly categorize category headers.
  3. Add support for generated files to go in a separate section of imports

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptOct 12 2020, 2:58 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
compositeprimes requested review of this revision.Oct 12 2020, 2:58 PM
compositeprimes edited the summary of this revision. (Show Details)
gribozavr2 accepted this revision.Oct 13 2020, 7:00 AM
This revision is now accepted and ready to land.Oct 13 2020, 7:00 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 13 2020, 9:53 PM

clang-format is complaining about my ordering of headers in my test case in IncludeInserterTest (but that's correct objc formatting). Not sure if there's a way to disable that on those lines

This revision was landed with ongoing or failed builds.Oct 15 2020, 7:15 PM
This revision was automatically updated to reflect the committed changes.